"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getOptionFromSize(size, baseDensity) {
    if (size === "original")
        return {};
    const sizeWidthValueRegex = /^(\d+)(w)$/; // match more tha none digit followed by w
    const sizeDensityValueRegex = /^(\d+)(x)$/; // match more tha none digit followed by x
    const sizeWidthMatches = size.match(sizeWidthValueRegex);
    const sizeDensityMatches = size.match(sizeDensityValueRegex);
    if (sizeWidthMatches)
        return { width: Number.parseInt(sizeWidthMatches[1]) };
    if (sizeDensityMatches && baseDensity)
        return { scale: Number.parseInt(sizeDensityMatches[1]) / baseDensity };
    throw new Error(`Invalid size ${size}`);
}
exports.default = getOptionFromSize;
//# sourceMappingURL=getOptionFromSize.js.map